# MiniDocs

MiniDocs is a project that includes several minimalistic documentation tools used by the [Grafoscopio](https://mutabit.com/grafoscopio/en.html) community, starting with [Markdeep](https://casual-effects.com/markdeep/) and its integrations with [Lepiter](https://lepiter.io/feenk/introducing-lepiter--knowledge-management--e2p6apqsz5npq7m4xte0kkywn/) .

# Installation

To install it, *first* install [ExoRepo](https://code.tupale.co/Offray/ExoRepo) and then run from a playground:

```
ExoRepo new
	repository: 'https://code.sustrato.red/Offray/MiniDocs';
	load.
```

# Usage

Once you have installed MiniDocs, each Lepiter note will provide an export button (1), as showcased here:

![Exporting to Markdeep with MiniDocs.](https://i.imgur.com/bTZUG0Z.png)

If you click on it, you will get the right panel in the previous screenshot, showcasing the exported document.
And if you click on the "Open in OS" button (2), you will see the document in your web browser, like this:

![Exported Lepiter note opened in the web browser](https://i.imgur.com/6fxkqZi.png)
