Class {
	#name : #PPCMHtmlBlock,
	#superclass : #PPCMDelegateNode,
	#category : #'PetitMarkdown-AST'
}

{ #category : #'as yet unclassified' }
PPCMHtmlBlock >> accept: visitor [
	^ visitor visitHtmlBlock: self
]

{ #category : #'as yet unclassified' }
PPCMHtmlBlock >> isBlockLevel [
	^ true
]

{ #category : #accessing }
PPCMHtmlBlock >> viewBody [
	| aText |
	aText := (self className ,' ', self text) asRopedText.

	self children do: [ :child | 
		aText append: ' ' asRopedText.
		aText append: (child text asRopedText foreground:
				 BrGlamorousColors disabledButtonTextColor).
		aText append: ('= "' asRopedText foreground:
				 BrGlamorousColors disabledButtonTextColor).
		aText append: (child text asRopedText foreground:
				 BrGlamorousColors disabledButtonTextColor).
		aText append:
			('"' asRopedText foreground:
				 BrGlamorousColors disabledButtonTextColor)
	].


	^ aText
]
