Class {
	#name : #PPCMIndentedCode,
	#superclass : #PPCMDelegateNode,
	#category : #'PetitMarkdown-AST'
}

{ #category : #'as yet unclassified' }
PPCMIndentedCode >> accept: visitor [
	^ visitor visitIndentedCode: self
]

{ #category : #'as yet unclassified' }
PPCMIndentedCode >> code [
	^ self text
]

{ #category : #'as yet unclassified' }
PPCMIndentedCode >> isBlockLevel [
	^ true
]

{ #category : #accessing }
PPCMIndentedCode >> viewBody [
	| aText |
	aText := (self className ,' ', self text) asRopedText.

	self children do: [ :child | 
		aText append: ' ' asRopedText.
		aText append: (child text asRopedText foreground:
				 BrGlamorousColors disabledButtonTextColor).
		aText append: ('= "' asRopedText foreground:
				 BrGlamorousColors disabledButtonTextColor).
		aText append: (child text asRopedText foreground:
				 BrGlamorousColors disabledButtonTextColor).
		aText append:
			('"' asRopedText foreground:
				 BrGlamorousColors disabledButtonTextColor)
	].


	^ aText
]
