Class {
	#name : #PPCMLinkRef,
	#superclass : #PPCMNode,
	#instVars : [
		'label'
	],
	#category : #'PetitMarkdown-AST'
}

{ #category : #'as yet unclassified' }
PPCMLinkRef >> accept: visitor [
	^ visitor visitLinkRef: self
]

{ #category : #accessing }
PPCMLinkRef >> label [
	^ label
]

{ #category : #accessing }
PPCMLinkRef >> label: anObject [
	label := anObject
]

{ #category : #accessing }
PPCMLinkRef >> viewBody [

	| aText |
	aText := (self className ,' ', 
		self label text) asRopedText.

	self children do: [ :child | 
		aText append: ' ' asRopedText.
		aText append: (child className asRopedText foreground:
				 BrGlamorousColors disabledButtonTextColor)
	].


	^ aText
]
