Class {
	#name : #PPCMStrong,
	#superclass : #PPCMDelegateNode,
	#category : #'PetitMarkdown-AST'
}

{ #category : #visiting }
PPCMStrong >> accept: visitor [
	^ visitor visitStrong: self
]

{ #category : #accessing }
PPCMStrong >> viewBody [

	| aText |
	aText := (self className ,' ', 
		self text) asRopedText.

	self children do: [ :child | 
		aText append: ' ' asRopedText.
		aText append: (child className asRopedText foreground:
				 BrGlamorousColors disabledButtonTextColor)
	].


	^ aText
]
