Class {
	#name : #HedgeDocExamples,
	#superclass : #Object,
	#category : #'MiniDocs-Examples'
}

{ #category : #accessing }
HedgeDocExamples >> hedgeDocReplaceYoutubeEmbeddedLinkExample [
	<gtExample>
	| aSampleString hedgedocDoc parsedCollection hedgedocDocLinksReplaced |
	aSampleString := '---
breaks: false

---
	
# Titulo
	
Un texto de ejemplo
	
# Enlaces youtube
	
{%youtube 1aw3XmTqFXA %}
	
otro video
	
{%youtube U7mpXaLN9Nc %}'.
	hedgedocDoc := HedgeDoc new 
		contents: aSampleString.
	hedgedocDocLinksReplaced := HedgeDoc new contents: aSampleString; youtubeEmbeddedLinksToMarkdeepFormat.
	self assert: (hedgedocDoc contents 
		includesSubstring: '{%youtube 1aw3XmTqFXA %}' ).
	self assert: (hedgedocDocLinksReplaced contents 
		includesSubstring: '![](https://youtu.be/1aw3XmTqFXA)' ).
	^ { 'Original' -> hedgedocDoc .
	'Replaced' -> hedgedocDocLinksReplaced } asDictionary
]
